org.apache.ignite.plugin.extensions.communication

## Interface MessageFormatter

All Superinterfaces:
  Extension

    public interface MessageFormatter
    extends Extension

Provides a custom format for communication messages.

A plugin can provide his own message factory as an extension to replace default format of communication messages.

Note that only one custom formatter is allowed. If two plugins provide different formatters, exception will be thrown on node startup.

### Method Summary

Methods
`MessageReader` `reader(MessageFactory factory)` Creates new message reader instance.
`MessageWriter` `writer()` Creates new message writer instance.

### Method Detail

#### writer

    MessageWriter writer()

Creates new message writer instance.

Returns:
  Message writer.

#### reader

    MessageReader reader(MessageFactory factory)

Creates new message reader instance.

Parameters:
  `factory` - Message factory.
Returns:
  Message reader.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015